<?php
/**
 * @wordpress-plugin
 * Plugin Name:       GravityActions
 * Plugin URI:        https://www.gravitykit.com/products/gravityactions/
 * Description:       A simple, powerful way to perform actions on many Gravity Forms entries at once.
 * Version:           1.4.11
 * Author:            GravityKit
 * Author URI:        https://www.gravitykit.com/
 * License:           GPLv2 or later
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       gk-gravityactions
 */

namespace GravityKit\GravityActions;

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

require_once __DIR__ . '/vendor_prefixed/gravitykit/foundation/src/preflight_check.php';

if ( ! Foundation\should_load( __FILE__ ) ) {
	return;
}

/**
 * Define the only constants that we need from this file, all the others should be on the
 * main {@see \GravityKit\GravityActions\Plugin} class.
 */
define( 'GK_GRAVITYACTIONS_FILE', __FILE__ );

define( 'GK_GRAVITYACTIONS_VERSION', '1.4.11' );

require_once __DIR__ . '/vendor/autoload.php';
require_once __DIR__ . '/vendor_prefixed/autoload.php';

Foundation\Core::register( GK_GRAVITYACTIONS_FILE );

/**
 * The code that runs during plugin activation.
 */
register_activation_hook( GK_GRAVITYACTIONS_FILE, [ Plugin::class, 'activate' ] );

/**
 * The code that runs during plugin deactivation.
 */
register_deactivation_hook( GK_GRAVITYACTIONS_FILE, [ Plugin::class, 'deactivate' ] );

/**
 * Initializes the whole plugin
 */
Plugin::instance();
